Workspaces
Listar serviços
Retorna uma lista paginada de serviços para o Espaço de Trabalho selecionado. Apenas aplica-se para Workspaces Windows (platform_type=windows).
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
services
Listar serviços
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "64f0c2a1b2d3e4f506070810",
"name": "Spooler",
"description": "Carga archivos en memoria para el procesamiento de impresión.",
"status": "Running",
"accept_stop": true,
"display_name": "Print Spooler",
"log_on_as": "LocalSystem",
"path": "C:\\Windows\\System32\\spoolsv.exe",
"organization_id": "507f1f77bcf86cd799439011",
"reporting_group_id": "507f1f77bcf86cd799439077",
"startup_type": "Automatic",
"last_updated_at": "2026-03-15T09:45:11Z",
"workspace_id": "507f1f77bcf86cd799439099"
}
]
}Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
Identificador da organização.
Required string length:
24Pattern:
^[0-9a-f]{24}$Identificador do Workspace.
Required string length:
24Pattern:
^[0-9a-f]{24}$Parâmetros de consulta
Número da página.
Intervalo obrigatório:
x >= 1Número de elementos por página.
Intervalo obrigatório:
1 <= x <= 100Nomes de campos de elementos de resposta separados por vírgulas para incluir.
Maximum string length:
2048Expressão de filtro JSON sobre rotas de campos de resposta filtráveis.
Maximum string length:
5120Expressão de ordenação com formato :asc|desc sobre rotas de campos escalares de resposta ordenáveis.
Pattern:
^([a-z_]+):(asc|desc)$⌘I
Listar serviços
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/workspaces/{workspace_id}/services")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "64f0c2a1b2d3e4f506070810",
"name": "Spooler",
"description": "Carga archivos en memoria para el procesamiento de impresión.",
"status": "Running",
"accept_stop": true,
"display_name": "Print Spooler",
"log_on_as": "LocalSystem",
"path": "C:\\Windows\\System32\\spoolsv.exe",
"organization_id": "507f1f77bcf86cd799439011",
"reporting_group_id": "507f1f77bcf86cd799439077",
"startup_type": "Automatic",
"last_updated_at": "2026-03-15T09:45:11Z",
"workspace_id": "507f1f77bcf86cd799439099"
}
]
}